#pragma once

class CPWheel : public CWnd
{
public:
	struct Region {
		FLOAT fMin;
		FLOAT fMax;
		COLORREF clrColor;
		// pie
		CRect rcRect;
		CPoint ptMin;
		CPoint ptMax;
	};

private:
	DECLARE_DYNAMIC(CPWheel)

	COLORREF	m_clrLine;
	COLORREF	m_clrBack;
	int		m_nWidth;
	int		m_nHeight;
	FLOAT	m_fPhase;
	int	m_fMin;
	int	m_fMax;
	int	m_nDCWidth;
	int	m_nDCHeight;
	CDC 	m_dcBuffer;
	CBitmap	m_bmpBuffer;
	CArray <Region, Region&> m_arrRegions;


public:
	CPWheel();
	virtual ~CPWheel();
	BOOL RegisterWindowClass();
	void Setup(FLOAT fMin, FLOAT fMax, COLORREF clrBack, COLORREF clrLine, int nType=0);
	void AddRegion(FLOAT fMin, FLOAT fMax, COLORREF clrReg);

	void SetValue(FLOAT fPhase);
	FLOAT GetValue();

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPaint();
};


