#pragma once

#include "TabDialog.h"
// CTab

class CTab : public CTabCtrl
{
	DECLARE_DYNAMIC(CTab)


	int m_nPageCount;

	//Array to hold the list of dialog boxes/tab pages for CTabCtrl
	int m_DialogID[8];

	//CDialog Array Variable to hold the dialogs 
	CDialog *m_Dialog[8];

	//Function to Create the dialog boxes during startup
	void InitDialogs();

	//Function to activate the tab dialog boxes
	void ActivateTabDialogs();

	void ValueHandler( int nVal );
	void ReceiveHandler();

public:
	CTab();
	virtual ~CTab();
	void AddTab( CTabDialog *lpDlg );

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTcnSelchange(NMHDR *pNMHDR, LRESULT *pResult);
};


