#pragma once
#include "TabDialog.h"
#include "PhaseWheel.h"
#include "afxcmn.h"

// CTabSynchro dialog

class CTabSynchro : public CTabDialog
{
	DECLARE_DYNAMIC(CTabSynchro)

public:
	CTabSynchro(CWnd* pParent = NULL);   // standard constructor
	virtual ~CTabSynchro();

	CString GetName()	{ return _T("MIDI Synchro"); }

// Dialog Data
	enum { IDD = IDD_TAB_SYNCHRO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
	void ValueHandler( int nVal );
	void OnPaint();


public:
	CComboBox m_ctlDevices;
	CPWheel m_whEcg;
	CPWheel m_whDelta;
	CPWheel m_whMidi;
public:
	CPWheel m_pwEcg;
	CPWheel m_pwFinal;
public:
	afx_msg void OnBnClickedButton1();
public:
	afx_msg void OnBnClickedButton2();

	HMIDIOUT m_hMidiOut;
	int m_nCurrentTick;
public:
	CSliderCtrl m_ctlOffset;
	FLOAT m_fOffset;
public:
	afx_msg void OnNMCustomdrawSlider1(NMHDR *pNMHDR, LRESULT *pResult);
};
