#pragma once


// CPointGraph

class CPointGraph : public CWnd
{
	DECLARE_DYNAMIC(CPointGraph)

	CArray	<int, int> m_arrData;
	int	m_nWidth;
	int m_nMin;
	int m_nMax;
	int m_nPos;
	COLORREF m_clrLine;
	COLORREF m_clrBack;
	int m_nDCWidth;
	int m_nDCHeight;
	CDC m_dcBuffer;
	CBitmap  m_bmpBuffer;

	BOOL m_bInvert;

public:
	CPointGraph();
	virtual ~CPointGraph();
	BOOL RegisterWindowClass();


	void Setup(int nWidth, int nMin, int nMax, COLORREF clrBack, COLORREF clrLine);

	void AddValue(int nValue);
	CPoint GetPoint( int n );
	int GetValue( int nVal );

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPaint();
};


