// TabStat.cpp : implementation file
//

#include "stdafx.h"
#include "ECG.h"
#include "TabStat.h"
#include "ECGDlg.H"

// CTabStat dialog

IMPLEMENT_DYNAMIC(CTabStat, CDialog)

CTabStat::CTabStat(CWnd* pParent /*=NULL*/)
	: CTabDialog(CTabStat::IDD, pParent)
	, m_strStatistics(_T(""))
{

}

CTabStat::~CTabStat()
{
}

void CTabStat::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT2, m_strStatistics);
}


BEGIN_MESSAGE_MAP(CTabStat, CDialog)
	ON_EN_CHANGE(IDC_EDIT2, &CTabStat::OnEnChangeEdit2)
	ON_WM_TIMER()
END_MESSAGE_MAP()


// CTabStat message handlers

void CTabStat::OnEnChangeEdit2()
{
	// TODO:  If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.

	// TODO:  Add your control notification handler code here
}

BOOL CTabStat::OnInitDialog()
{
	CTabDialog::OnInitDialog();

	// TODO:  Add extra initialization here

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CTabStat::OnTimer(UINT_PTR nIDEvent)
{
	// TODO: Add your message handler code here and/or call default

	CTabDialog::OnTimer(nIDEvent);
}

void CTabStat::ReceiveHandler()
{
	ECGData *lpData = &m_lpECGDlg->m_ECGData;

	FLOAT fMean = (lpData->m_nAvg - lpData->m_nMin)*100.0/(lpData->m_nMax-lpData->m_nMin);

	CString strStatRMS = _T("Invalid RMS");
	if ( lpData->m_fRMS >= 0.15 || lpData->m_fRMS <= 2.0 )
		strStatRMS = _T("Valid RMS");

	m_strStatistics.Format( _T("RMS=%3.3f \r\n")
                            _T("SEC4/5=%3.3f \r\n")
							_T("SEC3/5=%3.3f \r\n")
							_T("SEC2/5=%3.3f \r\n")
							_T("SEC1/5=%3.3f \r\n")
							_T("SEC0/5=%3.3f \r\n")
							_T("Mean=%3.3f \r\n")
							_T("%s, %s"),
			lpData->m_fRMS, 
			lpData->m_fHistogram[4], lpData->m_fHistogram[3], lpData->m_fHistogram[2], 
			lpData->m_fHistogram[1], lpData->m_fHistogram[0],
			fMean,
			lpData->m_strStat, strStatRMS);

	UpdateData( FALSE );
}
